Page MenuHomePhabricator

[mlir] Rename ShapeTypeConversion to ShapeBufferize
ClosedPublic

Authored by silvas on Oct 12 2020, 12:26 PM.

Details

Summary

Once we have tensor_to_memref ops suitable for type materializations,
this pass can be split into a generic type conversion pattern.

Part of the refactor discussed in:
https://llvm.discourse.group/t/what-is-the-strategy-for-tensor-memref-conversion-bufferization/1938/17

Diff Detail

Event Timeline

silvas created this revision.Oct 12 2020, 12:26 PM
silvas requested review of this revision.Oct 12 2020, 12:26 PM

arc is messing with me.... somehow crossed the streams with another commit... please hold

herhut accepted this revision.Oct 13 2020, 12:59 AM

Thanks!

mlir/lib/Dialect/Shape/Transforms/Bufferize.cpp
9

Why has this moved up?

23

Also change this name?

silvas added inline comments.Oct 13 2020, 10:20 AM
mlir/lib/Dialect/Shape/Transforms/Bufferize.cpp
9

I think it is a clang-format heuristic based on the file name

23

I will do that in a follow-up. There is nothing specific to bufferization here. But without the materialization infra in place (I'll do that next), it's not possible to split it out nicely.

This revision was not accepted when it landed; it landed in state Needs Review.Oct 14 2020, 12:41 PM
This revision was automatically updated to reflect the committed changes.